Subject: Re: bug#16366: 24.3.50; [PATCH] GDB Registers buffer - wrong values fontified
From: Eli Zaretskii <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 26 Jun 2019 19:17:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 26 Jun 2019 16:55:43 +0200
> Cc: [email-masked]
> 
> >  $ emacs -Q
> >
> >  M-x gdb
> >
> >  gdb -i=mi emacs <return> (or something suitable)
> >
> >  M-x gdb-display-registers-buffer
> >
> > In GUD buffer:
> >
> >  (gdb) break main
> >  (gdb) run
> >
> > Now step by machine instructions (e.g. 'C-x C-a C-i').  The values of
> > registers in the Registers buffer change but are fontified only on the
> > following step.
> 
> I tried to reproduce this, but all I got was a bunch of
> 
> Breakpoint 3, main (argc=1, argv=0x7fffffffe9e8) at emacs.c:977
> 977	{
> (gdb) Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 
> Python Exception <class 'NameError'> name 'long' is not defined: 

Your GDB seems to be misconfigured wrt its Python extensions.

I've reproduced the problem, verified that the proposed patch fixes
it, and installed it on the master branch.

Andrzej, apologies for such a long delay in fixing this simple
problem, and thanks for the patch.